import request from '@/utils/request'
// 首页统计接口
export function getStatistics() {
  return request({
    url: '/system/index/getStatistics',
    method: 'get',
  })
}
// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    idValueC:code,
    idKeyC:uuid
  }
  return request({
    url: '/sysLogin/login',
    method: 'post',
    data: data
  })
}

// 登录方法2
export function login2(ticket) {
  return request({
    url: '/login/ssoLogins',
    method: 'get',
    params: ticket
  })
}

// 获取用户详细信息
export function getInfo(param) {
  return request({
    url: '/system/index/getInfo',
    method: 'get',
     params: param
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/login/loginOut',
    method: 'get',
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captcha/get/img',
    method: 'post'
  })
}
